Name:             jchardet
Version:          1.1
Release:          %mkrel 2
Summary:          Java port of Mozilla's automatic character set detection algorithm

Group:            Development/Java
License:          MPLv1.1
URL:              http://jchardet.sourceforge.net/
Source0:          http://sourceforge.net/projects/jchardet/files/jchardet/1.1/jchardet-1.1.zip
Source1:          http://repo1.maven.org/maven2/net/sourceforge/jchardet/jchardet/1.0/jchardet-1.0.pom

BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    jpackage-utils

Requires:         jpackage-utils
Requires:         java
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

BuildArch:        noarch

%description
jchardet is a java port of the source from Mozilla's automatic charset
detection algorithm. The original author is Frank Tang. What is available
here is the java port of that code. The original source in C++ can be found
from http://lxr.mozilla.org/mozilla/source/intl/chardet/. More information can
be found at http://www.mozilla.org/projects/intl/chardet.html.

%package javadoc
Group:            Development/Java
Summary:          Javadocs for %{name}
Requires:         jpackage-utils

%description javadoc
Java port of Mozilla's automatic character set detection algorithm.

This package contains javadoc for %{name}.

%prep
%setup -q
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

cp %{SOURCE1} pom.xml
# fix up the provided version
sed -i 's:<version>1.0</version>:<version>1.1</version>:' pom.xml

# remove distributionManagement.status from pom (maven stops build
# when it's there)
sed -i '/<distributionManagement>/,/<\/distributionManagement>/ d' pom.xml

# create proper dir structure
mkdir -p src/main/java/org/mozilla/intl/chardet
mv src/*java src/main/java/org/mozilla/intl/chardet

%build
mvn-rpmbuild \
  -Dmaven.test.skip=true \
  install javadoc:aggregate

%install
# jars
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/jchardet.jar
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-jchardet.pom

%add_to_maven_depmap net.sourceforge.jchardet jchardet %{version} JPP jchardet

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/jchardet
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/jchardet

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc LICENSE
%{_mavendepmapfragdir}/jchardet
%{_mavenpomdir}/JPP-jchardet.pom
%{_javadir}/jchardet.jar

%files javadoc
%doc LICENSE
%{_javadocdir}/jchardet



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 355229
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 147857
- Adapt to mageia guidelines

  + gil <gil>
    - imported package jchardet

